Bug 1572175 - [registration]Read-only admin user can create/delete coupon in admin panel
Summary: [registration]Read-only admin user can create/delete coupon in admin panel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Accounts and Billing
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Timothy Williams
QA Contact: yufchang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 10:37 UTC by yufchang
Modified: 2018-05-07 17:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 17:24:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description yufchang 2018-04-26 10:37:08 UTC
Description of problem:
Read-only admin user can approve subscription

Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1.Prepare a read-only admin user to login registration, enter admin panel->coupon
2.create/delete a coupon
3.

Actual results:
Read-only admin user can create/delete coupons

Expected results:
Read-only admin user can not access any update method on coupons

Additional info:

Comment 1 Timothy Williams 2018-04-27 19:51:56 UTC
Fixed in STG


Note You need to log in before you can comment on or make changes to this bug.